VERSION 5.00
Begin VB.Form frmShapeDemo 
   BackColor       =   &H00C0E0FF&
   Caption         =   "Throw A Shape Demo  -  Greg Doran, Dublin, Ireland. gdo@eircom.net"
   ClientHeight    =   5700
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9330
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   5700
   ScaleWidth      =   9330
   StartUpPosition =   2  'CenterScreen
   Begin VB.ListBox lstShapes 
      Height          =   2010
      Left            =   225
      TabIndex        =   13
      Top             =   3375
      Width           =   1740
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   465
      Left            =   7125
      TabIndex        =   11
      Top             =   4800
      Width           =   1140
   End
   Begin VB.CommandButton cmdTimerEnab 
      Caption         =   "Random Style  On/Off"
      Height          =   465
      Left            =   7125
      TabIndex        =   9
      Top             =   3825
      Width           =   1140
   End
   Begin VB.Timer tmrRandomise 
      Enabled         =   0   'False
      Interval        =   500
      Left            =   7500
      Top             =   3000
   End
   Begin VB.HScrollBar hsbBorderWidth 
      Height          =   240
      Left            =   1950
      Max             =   10
      Min             =   1
      TabIndex        =   8
      Top             =   225
      Value           =   1
      Width           =   3465
   End
   Begin VB.ListBox lstFillStyle 
      Height          =   2010
      Left            =   6750
      TabIndex        =   3
      Top             =   900
      Width           =   1740
   End
   Begin VB.ListBox lstFillColor 
      Height          =   2010
      Left            =   4575
      TabIndex        =   2
      Top             =   900
      Width           =   1740
   End
   Begin VB.ListBox lstBordColor 
      Height          =   2010
      Left            =   2400
      TabIndex        =   1
      Top             =   900
      Width           =   1740
   End
   Begin VB.ListBox lstBackColor 
      Height          =   2010
      Left            =   225
      TabIndex        =   0
      Top             =   900
      Width           =   1740
   End
   Begin VB.Label lblShapes 
      BackColor       =   &H0080C0FF&
      Caption         =   "Shape"
      Height          =   240
      Left            =   225
      TabIndex        =   12
      Top             =   3150
      Width           =   1740
   End
   Begin VB.Label lblBorderSld 
      Caption         =   "Border Thickness"
      Height          =   240
      Left            =   5475
      TabIndex        =   10
      Top             =   225
      Width           =   1365
   End
   Begin VB.Shape shpMain 
      BackStyle       =   1  'Opaque
      FillStyle       =   7  'Diagonal Cross
      Height          =   1665
      Left            =   2175
      Shape           =   2  'Oval
      Top             =   3675
      Width           =   4365
   End
   Begin VB.Label lblShpFillShp 
      BackColor       =   &H0080C0FF&
      Caption         =   "Fill Style"
      Height          =   240
      Left            =   6750
      TabIndex        =   7
      Top             =   675
      Width           =   1740
   End
   Begin VB.Label lblShpColor 
      BackColor       =   &H0080C0FF&
      Caption         =   "Fill Colour (Fore)"
      Height          =   240
      Left            =   4575
      TabIndex        =   6
      Top             =   675
      Width           =   1740
   End
   Begin VB.Label lblShpBorColor 
      BackColor       =   &H0080C0FF&
      Caption         =   "Border Colour"
      Height          =   240
      Left            =   2400
      TabIndex        =   5
      Top             =   675
      Width           =   1740
   End
   Begin VB.Label lblShpBackColor 
      BackColor       =   &H0080C0FF&
      Caption         =   "Back Ground Colour"
      Height          =   240
      Left            =   225
      TabIndex        =   4
      Top             =   675
      Width           =   1740
   End
End
Attribute VB_Name = "frmShapeDemo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
'   Author: Greg Doran  Dublin, Ireland.   ShapesDemo.vbp v1.0    Date 4th.Mar.2001.
'
'   Demonstrating the use of List Boxes, Slider, Timer & Randomize, and Shape
'   characteristics.
'
'   Released  4th.Mar.2K1          Public Domain.   Via  WWW.VB-Helper.com
'   With no Warranty and no obligation or liability attaching to the author.
'
'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
'
Option Explicit

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub cmdTimerEnab_Click()
    If Me.tmrRandomise.Enabled = True Then             'If random selection is active
        Me.tmrRandomise.Enabled = False                'Then deactivate it
    Else                                               'otherwise...
        Me.tmrRandomise.Enabled = True                 'Activate it
    End If
End Sub

Private Sub Form_Load()
                      
    With Me.lstBackColor                              'Add the BackGround colour
        .AddItem "black"                              'selection to the ListBox.
        .AddItem "Green"
        .AddItem "Red"
        .AddItem "Yellow"
        .AddItem "Blue"
        .ListIndex = 0                                'Initialise the starting colour as 0
    End With
    
    With Me.lstBordColor                               'Add the Border Colours
        .AddItem "black"
        .AddItem "Green"
        .AddItem "Red"
        .AddItem "Yellow"
        .AddItem "Blue"
        .ListIndex = 0
    End With
    
    With Me.lstFillColor                               'Add the Fill colours
        .AddItem "black"
        .AddItem "Green"
        .AddItem "Red"
        .AddItem "Yellow"
        .AddItem "Blue"
        .ListIndex = 0
    End With
     
    With Me.lstFillStyle                                'Add the Fill Style
        .AddItem "Solid"
        .AddItem "Transparent"
        .AddItem "Horizontal Line"
        .AddItem "Vertical Line"
        .AddItem "Upward Diag."
        .AddItem "Downward Diag"
        .AddItem "Cross"
        .AddItem "Diagonal Cross"
        .ListIndex = 0
    End With
    
    With Me.lstShapes                                    'Add the Shapes
        .AddItem "Rectangle"
        .AddItem "Square"
        .AddItem "Oval"
        .AddItem "Circle"
        .AddItem "Rounded Rectangle"
        .AddItem "Rounded Square"
        .ListIndex = 0
    End With


End Sub

'Border WIDTH.
Private Sub hsbBorderWidth_Change()                         'The border width slider has
    Me.shpMain.BorderWidth = Me.hsbBorderWidth.Value        'changed.  Update the border
End Sub                                                     'with the new value.

'BACK GROUND COLOUR
Private Sub lstBackColor_Click()
    
    Dim i%                                                  'i, to hold the Index number
    Dim TheColourSelected&                                  'To hold the VBColour
    
    i% = Me.lstBackColor.ListIndex                          'Get the ListBox Index number
                                                            'that was clicked.  (0....n)
    Select Case (i%)
    
        Case 0                                              'If the ListBox Index number was
            TheColourSelected& = vbBlack                    ' 0, then the colour is Black
        Case 1
            TheColourSelected& = vbGreen
        Case 2
            TheColourSelected& = vbRed
        Case 3
            TheColourSelected& = vbYellow
        Case 4
            TheColourSelected& = vbBlue
    
    End Select
    Me.shpMain.BackColor = TheColourSelected&
    
End Sub

'THE SHAPE
Private Sub lstShapes_Click()                               'A Shapes ListBox item was clicked
    Me.shpMain.Shape = Me.lstShapes.ListIndex               'Set the Shape to the index value.
End Sub

'FILL COLOUR
Private Sub lstFillColor_Click()
    
    Dim i%
    Dim TheColourSelected&
    
    i% = Me.lstFillColor.ListIndex
    
    Select Case (i%)
    
        Case 0
            TheColourSelected& = vbBlack
        Case 1
            TheColourSelected& = vbGreen
        Case 2
            TheColourSelected& = vbRed
        Case 3
            TheColourSelected& = vbYellow
        Case 4
            TheColourSelected& = vbBlue
    
    End Select
    
    Me.shpMain.FillColor = TheColourSelected&

End Sub

'FILL STYLE
Private Sub lstFillStyle_Click()
    Me.shpMain.FillStyle = Me.lstFillStyle.ListIndex         'Just set it to the index value
End Sub

'BORDER COLOUR
Private Sub lstBordColor_Click()
    
    Dim i%
    Dim TheColourSelected&
    
    i% = Me.lstBordColor.ListIndex
    
    Select Case (i%)
    
        Case 0
            TheColourSelected& = vbBlack
        Case 1
            TheColourSelected& = vbGreen
        Case 2
            TheColourSelected& = vbRed
        Case 3
            TheColourSelected& = vbYellow
        Case 4
            TheColourSelected& = vbBlue
    
    End Select
    Me.shpMain.BorderColor = TheColourSelected&

End Sub

Private Sub tmrRandomise_Timer()
    
    Dim FillStyleListItem%
    
    Randomize (1000)                                   'Make sure the random sequence is
                                                       'different every time.
    'We want 8 random values from 0 to 7.
    FillStyleListItem% = Int((7 - 0 + 1) * Rnd + 0)    'Get a random number
    '                 or.... (1 + Int(Rnd() * 8))
    
    Me.lstFillStyle.ListIndex = FillStyleListItem%     'Set the Fill Style to this value
    
    
    
End Sub
